Redmine - Patch #29488

##123 syntax for linking to issues with tracker name and subject
2018-09-04 08:07 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 4.0.0

Description

##12 will render: Bug '#12: Can't Save Changes to Project

We recently introduced this feature to Planio . Attached are patches against master that implement the feature, and amend the wiki
syntax help files.

Related issues:

Related to Redmine - Feature #29489: Issue macro for flexible linking to issues Closed

Related to Redmine - Feature #26465: Make the format of issue links configurable New

Related to Redmine - Patch #20063: Add "issue#<number>" syntax for issue links New

Related to Redmine - Defect #32765: ##123 syntax for linking to issues: Title... Closed

Has duplicate Redmine - Feature #3693: Wiki reference for issue name Closed 2009-07-30
Has duplicate Redmine - Feature #5571: A new redmine link to include issue title Closed 2010-05-21
Has duplicate Redmine - Feature #1777: Allow %2650 in Wiki to display and lin... Closed 2008-08-13
Has duplicate Redmine - Feature #13052: extended issue link marco - link by i... Closed

Associated revisions

Revision 17478 - 2018-09-08 08:43 - Go MAEDA
Adds ##123 extended issue linking syntax (#29488).

Patch by Jens Kramer.

Revision 17479 - 2018-09-10 16:08 - Go MAEDA
Adds documentation for ##123 issue linking syntax (#29488).

Patch by Jens Kramer.

Revision 17480 - 2018-09-11 13:57 - Go MAEDA
Adds ##123-linking syntax docs to detailed help pages (#29488).

Patch by Jens Kramer.

History

#1 - 2018-09-06 08:07 - Go MAEDA
- File screenshot@2x.png added

- Target version set to 4.1.0

Users have long requested this feature. You can see #988, #3693 and #5571.

The proposed patch adds the new feature while keeps compatibility with the current behavior. | think there is no problem to merge the patch. Setting
the target version to 4.1.0.
Patch 29488 test

#1
Bug #1: Cannot print recipes

#2 - 2018-09-06 08:07 - Go MAEDA

- Related to Feature #29489: Issue macro for flexible linking to issues added

#3 - 2018-09-08 09:12 - Go MAEDA
- Status changed from New to Needs feedback

- Assignee set to Jens Krdmer

Jens Kramer, thank you for suggesting the useful feature.

But | found that the patch 0002-adds-documentation-for-12-issue-linking-syntax.patch does not update the following help files. Could you update the
patch? | confirmed that the corresponding files on Planio should also be updated :)

ca/wiki_syntax_markdown.html
ca/wiki_syntax_textile.html
cs/wiki_syntax_markdown.html
cs/wiki_syntax_textile.html
es-pa/wiki_syntax_textile.html
es/wiki_syntax_textile.html
ja/wiki_syntax_markdown.htmi
ja/wiki_syntax_textile.html
ru/wiki_syntax_textile.html
zh-tw/wiki_syntax_markdown.html
zh-tw/wiki_syntax_textile.html
zh/wiki_syntax_textile.html

#4 - 2018-09-08 09:13 - Go MAEDA
- Category changed from Wiki to Text formatting

- Target version changed from 4.1.0 to 4.0.0

#5 - 2018-09-10 09:47 - Jens Kramer

- File 0002-adds-documentation-for-12-issue-linking-syntax.patch added

Thank you for pointing this out. I'll attach a corrected second patch file.

#6 - 2018-09-10 22:25 - Marius BALTEANU
- Related to Feature #26465: Make the format of issue links configurable added

#7 - 2018-09-10 22:30 - Marius BALTEANU
- Related to Patch #20063: Add "issue#<number>" syntax for issue links added

#8 - 2018-09-11 13:58 - Go MAEDA
- Status changed from Needs feedback to Closed
- Assignee changed from Jens Krdmer to Go MAEDA

Committed. Thank you for improving Redmine.

#9 - 2018-09-12 02:49 - Go MAEDA

- Has duplicate Feature #3693: Wiki reference for issue name added

#10 - 2018-09-12 02:50 - Go MAEDA

- Has duplicate Feature #5571: A new redmine link to include issue title added

#11 - 2018-10-07 17:11 - Yang Wu
- File issue.link.png added

A quick way based on CSS, only affects the content link ranther issues table, with tracker and status.

1i a.issue:after, p a.issue:after ({

content:" "attr(title);
}
#355 Task: Communicate with devices via CAN (Pending)
L]
L]
» #359 Task: Create the schedular based on controlcan wrapper (New)

#12 - 2018-12-02 15:01 - Go MAEDA
- Has duplicate Feature #1777: Allow %2650 in Wiki to display and linke the Title of the Ticket (next to #2650 added

#13 - 2020-01-08 08:59 - Go MAEDA
- Related to Defect #32765: ##123 syntax for linking to issues: Title cannot be distinguished from following text added

#14 - 2021-06-27 03:16 - Go MAEDA
- Has duplicate Feature #13052: extended issue link marco - link by id, liby by id and topic, link by topic added

Files

0001-adds-123-extended-issue-linking-syntax.patch 5.47 KB 2018-09-04 Jens Kramer
0002-adds-documentation-for-12-issue-linking-syntax.patch 77.6 KB 2018-09-04 Jens Kramer
0003-adds-12-linking-syntax-docs-to-detailed-help-pages.patch 111 KB 2018-09-04 Jens Kramer
screenshot@2x.png 19.1 KB 2018-09-06 Go MAEDA
0002-adds-documentation-for-12-issue-linking-syntax.patch 88.7 KB 2018-09-10 Jens Kramer
issue.link.png 17.3 KB 2018-10-07 Yang Wu
